<script setup lang="ts">
import { ref } from 'vue'

const text = ref('')

function onInput(e: any){
    console.log(e)
    text.value = e.target.value
}
</script>

<template>
  <div><input type="text" :value="text" @input="onInput" placeholder="Type here"></div>
  <div>{{ text }}</div>
</template>

<style scoped></style>